<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zhdd.mapper.SingleDeviceMapper">

    <resultMap type="com.ruoyi.zhdd.domain.SingleDevice" id="SingleDeviceResult">
        <result property="userId" column="user_id"/>
        <result property="userName" column="user_name"/>
        <result property="userType" column="user_type"/>
        <result property="deviceCode" column="deviceCode"/>
        <result property="gpsX" column="gps_x"/>
        <result property="gpsY" column="gps_y"/>
        <result property="height" column="height"/>
        <result property="angle" column="angle"/>
        <result property="speed" column="speed"/>
        <result property="startCount" column="start_count"/>
        <result property="dataSource" column="data_source"/>
        <result property="time" column="time"/>
        <result property="extendInfo" column="extend_info"/>
        <result property="deviceExtendInfo" column="device_extend_info"/>
    </resultMap>


</mapper>
